Bug 18221 - linuxconf-web does not work
Summary: linuxconf-web does not work
Status: CLOSED DUPLICATE of bug 23560
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
: 14986 33608 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 15:08 UTC by Tim
Modified: 2008-05-01 15:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-09 10:04:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim 2000-10-03 15:08:53 UTC
Just installed RH 7.0 and can't get linuxconf access via HTTP.  Works
fine in text and in GUI mode.

I try to activate it via linuxconf text mode

-> Control
  -> Control Service Activity
    -> linuxconf

linuxconf is set to "manual".  I set it to "automatic" and that
registers.  I try to "start" it next at the same spot and it returns
a:


Executing: /etc/rc.d/init.d/linuxconf start
        > Running Linuxconf hooks: [  OK  ]


but when I hit the "accept" button and go back a level, linuxconf is
not running.

I tried getting linuxconf-web to run also, which was set at
"automatic".  I tried changing it to "automatic" and I get a:


Executing: /sbin/chkconfig linuxconf-web: reset
        * error reading information on service linuxconf-web:: No such
file or directory
        * return 1
        ! Switch service linuxconf-web: to Automatic


I tried to "start" it next and I get a:


   Executing: /etc/rc.d/init.d/linuxconf-web: start
        * sh: /etc/rc.d/init.d/linuxconf-web:: No such file or
directory
        * return 127


I don't even see a '/etc/rc.d/init.d/linuxconf-web" file in the RH 7.0
RPM.

Comment 1 Sergio A. Kessler 2000-10-03 16:02:11 UTC
try in /etc/xinet.d/linuxconf-web

to change the line "disable = yes" to "disable = no"

Comment 2 Tim 2000-10-03 19:56:08 UTC
Changing the "/etc/xidentd.d/linuxweb-conf" doesn't do a thing.


Comment 3 Need Real Name 2000-10-04 19:23:15 UTC
I'm also having problems with linuxconf --http.  I cannot get it to run on the
command line or in a browser.  When I do a linuxconf --http --debug, I get a
segment fault(core dumped).

Comment 4 Matthieu Araman 2000-10-04 23:34:42 UTC
hello,

I also have the problem
I set disabled to no in /etc/xinetd.d/linuxconf-web
restarted xinetd
I use telnet localhost 98 to test
each time i type a line I'm disconnected unless I have another telnet open
If I use linuxconf --http from a command line
linuxconf automagically runs in debug mode and open a socket on port 8000, where
I can successfully connect
I've traced the problem to dialog/html.cc in html_get
the command ok=cmd->listen(timeout*60) never returns (this function is defined
in dialog/cmdsock.cc)

by the way, the correct syntax is linuxconf --http --debug 0|1
it is also possible to use --name or --port
I've send a little patch to the maintainer, Jack Gelinas, so that it no longer
coredumps for this


Comment 5 Sergio A. Kessler 2000-10-11 16:03:46 UTC
trying to access linuxconf-web trough port 8000 doesn't work for me...

is suppossed to work in this broken release ?

amazing that nalin hasn't tryied linuxconf-web before the release...

Comment 6 Matthieu Araman 2000-10-11 17:10:07 UTC
to connect to port 8000 in debug mode, you have to start linuxconf --http in a
shell before (so you completely bypass xinetd)
you can do a netstat -a to show the open port
for the linuxconf-web problem, it seems that indeed xinetd is bugged 
it should handle, as inetd does,  the control socket to linuxconf but instead it
handles only the data part !

Comment 7 Jon Benson 2000-10-13 05:18:02 UTC
Oct 13 12:49:32 orpheus xinetd[407]: START: linuxconf pid=7222
from=203.12.234.232
Oct 13 12:49:32 orpheus xinetd[407]: EXIT: linuxconf signal=11 pid=7222

Unless I'm mistaken it appears linuxconf is segfaulting?

I added the following to the linuxconf-web config to generate that:
        log_type        = SYSLOG daemon
        log_on_success  += EXIT


Comment 8 Trond Eivind Glomsrxd 2000-10-19 18:48:20 UTC
We've fixed this in xinetd, coming as an errata soonish.

Comment 9 Karl-Heinz Schulz 2000-10-20 16:56:43 UTC
The updated xinetd does not fix the problem.
I still can't use linuxconf-web - when starting it from the command 
line /sbin/linuxconf --http I only receive an "ending html".

Comment 10 Matthieu Araman 2000-10-20 17:42:14 UTC
the updated xinetd works for me :-)
I can connect to http://localhost:98 
I've set disabled= no in /etc/xinetd.d/linuxconf-web
I'm using linuxconf 1.21r6 (compiled from source)

Comment 11 Karl-Heinz Schulz 2000-10-20 19:20:59 UTC
It ididn't work with the orginal RPM.
I updated to 1.21r1 and it works now

Comment 12 Jon Benson 2000-10-23 00:42:25 UTC
The updated xinetd package did not fix the problem.

Now I get:
Oct 23 11:38:53 orpheus xinetd[3449]: warning: can't get client address: Invalid
argument
Oct 23 11:38:53 orpheus xinetd[3449]: refused connect from 0.0.0.0
Oct 23 11:38:53 orpheus xinetd[3449]: FAIL: linuxconf libwrap from=0.0.0.0
Oct 23 11:38:53 orpheus xinetd[3449]: file descriptor of service linuxconf has
been closed
Oct 23 11:38:53 orpheus xinetd[3449]: select reported EBADF but no bad file
descriptors were found


After that it just refuses connections from anywhere.


Comment 13 Peter Hsu 2000-10-30 23:31:12 UTC
When I install linuxconf 1.21r8 (and devel) and Xinetd update,
Got a error message in /var/log/messages:
Oct 30 10:24:16 mail xinetd[555]: file descriptor of service linuxconf has been
closed
Oct 30 10:24:16 mail xinetd[555]: select reported EBADF but no bad file descript
ors were found

After install linuxconf-lib-1.21r8-1.i386.rpm and linuxconf-util-1.21r8-
1.i386.rpm, it seems like working fine so far. Linuxconf-web was down every 15 
to 20 minute, now it has been running for an hour, and no error at all.

Comment 14 Marek Kassur 2000-11-27 20:20:14 UTC
Unfortunately when linuxconf dies (time-out or kill), xinetd occur EBADF and
after that it rejects any access to port 98.
I also tested this with linuxconf 1.22-1 and xinetd 2.1.8.9pre12-3.
Actually I use inetd from RH6.2 for linuxconf-web and xinetd for other services.


Comment 15 Jon Benson 2000-11-30 06:16:36 UTC
How do we reopen this?  It is obviously not resolved?!

Nov 30 17:18:38 smail xinetd[31666]: warning: can't get client address: Invalid
argument
Nov 30 17:18:38 smail xinetd[31666]: START: linuxconf pid=31684 from=0.0.0.0
Nov 30 17:18:39 smail xinetd[31666]: EXIT: linuxconf status=255 pid=31684
Nov 30 17:18:39 smail xinetd[31666]: file descriptor of service linuxconf has
been closed
Nov 30 17:18:39 smail xinetd[31666]: select reported EBADF but no bad file
descriptors were found

NOTE: I'm not calling it from 0.0.0.0?!


Comment 16 Matthieu Araman 2000-11-30 08:54:17 UTC
there's a fix for xinetd which solves the problem. 
see http://www.solucorp.qc.ca/howto.hc?projet=linuxconf&id=42

Comment 17 Need Real Name 2000-12-14 11:13:56 UTC
Still stuffed for me.

None of the above fixes solve any of the problems.


Comment 18 Keith Grider 2001-01-04 15:24:44 UTC
Still broken. Posts to Jacques Gelinas also give no Joy. Linuxconf will work 
from the local machine but never as web interface. Linuxconf looks for a 
linuxconf-web script when initializing the web interface from the command line 
linuxconf. This script does not exist. When booted, RH7 initiales a listening 
and waiting port 98. This port dies unceremoniously as soon as I attempt to 
access it. I am running DHCP, Samba (SWAT does work fine), print server, 
ipchains. Everything works fine except linuxconf-web. The error message when I 
attempt to rouse linuxconf over the local net is:
Jan  4 10:05:25 grippo xinetd[537]: warning: can't get client address: Invalid 
argument
Jan  4 10:05:25 grippo xinetd[537]: refused connect from <no address>
Jan  4 10:05:25 grippo xinetd[537]: linuxconf service was deactivated because 
of looping
Jan  4 10:10:00 grippo CROND[3747]: (root) CMD (   /sbin/rmmod -as) 

The 'invalid address' repeats 10 times before it terminates the service.

my netstat -nr is:
Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
255.255.255.255 0.0.0.0         255.255.255.255 UH        0 0          0 eth0
192.168.1.0     0.0.0.0         255.255.255.0   U         0 0          0 eth0
65.24.84.0      0.0.0.0         255.255.252.0   U         0 0          0 eth1
127.0.0.0       0.0.0.0         255.0.0.0       U         0 0          0 lo
0.0.0.0         65.24.84.1      0.0.0.0         UG        0 0          0 eth1

I have hosts.deny set to all:all and hosts allow to ALL: 
192.168.1.0/255.255.255.0. I have not set any explicit routes and have 
installed RH7 clean with only using the firewall howto to get things running.

Comment 19 Matthieu Araman 2001-01-04 16:18:28 UTC
works perfectly for me :
RH7 + all errata
xinetd rpm with fix from linuxconf web site (see url above) because errata from
RH contains only a partial fix
in /etc/xinetd.d/linuxconf-web
you have to set disable= no
check that the server path is good (else you have a warning in
/var/log/messages)
restart xinetd : /etc/init.d/xinetd restart
check logs
tries http://localhost:98
I use linuxconf 1.23

Comment 20 Sterling Ledet & Associates, Inc. 2001-01-08 00:07:10 UTC
This is still not resolved. It works fine as long as you don't have an active 

/etc/hosts.deny file, but when hosts.deny is active, the following appears 

in /var/log/messages:

Jan  7 19:57:44 linux xinetd[494]: warning: can't get client address: Invalid 

ar

gument

Jan  7 19:57:44 linux xinetd[494]: refused connect from <no address>





Comment 21 Sterling Ledet & Associates, Inc. 2001-01-08 21:29:42 UTC
To fix the above error if you are using a hosts.deny/hosts.allow file, you can 
add
linuxconf: ALL

to the hosts.allow file.

This makes it work.

Comment 22 Keith Grider 2001-01-17 23:24:50 UTC
Thanks for the hosts.allow comment. I knew I wasn't a total idiot. I feel this 
should be fixed a little different as this may pose a security risk. It sounds 
like it is an xinetd problem...

Comment 23 MARCELO V CORREA 2001-01-26 02:29:36 UTC
The update xnetd(xinetd-2.1.8.9pre11-1.i386) stil not work

When i start or reload xinetd "linuxconf-web" 

the service stay up for 1 thought 3 minutes...and down after...

i have upgraded packages linuxconf and xinetd..
and trouble continues...

any solution...????


Comment 24 Need Real Name 2001-02-26 22:02:02 UTC
Go to http://www.solucorp.qc.ca/linuxconf and install the xinetd which has 
the "wait" patch xinetd-2.1.8.9pre11-1wait.i386.rpm cause the xinetd from 
RedHat doesn't fix it.
ftp://ftp.solucorp.qc.ca/pub/misc/xinetd-2.1.8.9pre11-1wait.i386.rpm

Comment 25 George Young 2001-03-25 04:36:14 UTC
What is the secret combination of versions to get this to work. Im running 
Linuxconf 1.25 - xinetd 2.1.8.9pre11-1wait and I still get the error

Executing: /etc/rc.d/init.d/linuxconf-web: start
 * sh: /etc/rc.d/init.d/linuxconf-web:: No such file or directory
 * return 127

Does anyone have this working??? Thanks



Comment 26 Need Real Name 2001-03-27 19:48:27 UTC
The bug in linuxconf-web was fixed only when i upgraded xinetd to
xinetd-2.1.8.9pre11-1.i386 and remove line disable = yes from linuxconf-web
and configure the linuxconf network access. After this restart xinetd.conf.

And it should be worked.


Comment 27 Milan Kerslager 2001-04-09 09:01:04 UTC
*** Bug 14986 has been marked as a duplicate of this bug. ***

Comment 28 Milan Kerslager 2001-04-09 09:44:58 UTC
*** Bug 33608 has been marked as a duplicate of this bug. ***

Comment 29 Milan Kerslager 2001-04-09 10:03:59 UTC
I upgraded to xinetd-2.1.8.9pre14, the linuxconf now start (via xinetd, the old 
xinetd from RH 7.0 simply bomb out) but nothing more happened.

linuxconf --http --debug still gives Segmentation fault.

Manual connectin to port 98 by telnet I can see that linuxconf write back 
nothing after a passed to it GET / HTTP/1.0 (connection was closed after 
submiting query).

I tryed to upgrade to linuxconf-1.24r2-10. I had to update more packages 
(mount, util-linux, pam, etc) and now linuxconf do not close the open 
connection but gives nothing to browser. When trying WWW acces through WWW 
client I can see that xinetd kill linuxconf after 48 sec but there is still 
nothing usable on the screen.

My DNS and other services are Ok, I have pernament acces to the Internet and I 
have no other troubles with anything.

Comment 30 Trond Eivind Glomsrxd 2001-04-09 17:31:04 UTC

*** This bug has been marked as a duplicate of 23560 ***


Note You need to log in before you can comment on or make changes to this bug.